В различных продуктах компании F-Secure обнаружены уязвимости, которые позволяют удаленно исполнять вредоносный код с помощью метода переполнения буфера. Ошибка этого типа находится в синтаксическом анализаторе RPM-пакетов, которые используются для установки ПО для Linux. Производитель выпустил обновления, которые рекомендуется установить как можно быстрее.

В системе Symantec Altiris Deployment Solution существует две ошибки, которые позволяют пользователям продукта поднять свои полномочия в операционной системе. Так ошибка в дизайне Client GUI дает возможность выполнять команды с полномочиями SYSTEM, а агент Altiris Deployment Solution хранить пароли в памяти в открытом виде, что позволяет перехватить их и использовать в дальнейшем. Производитель выпустил обновления для найденных ошибок.

Обнаружены три ошибки в IBM WebSphere Application Server. Одна из них существует в функции fileServing, вторая - в обработке HTTP-запросов, третья - в обработчике Certificate Revocation Lists (CRL). Известно, что с помощью этих ошибок можно организовать DoS-атаку на приложения или обойти ограничения безопасности.

Поделитесь материалом с коллегами и друзьями